Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class XMLConfiguration

    java.lang.Object
      |
      +--org.eclipse.jface.text.source.SourceViewerConfiguration
            |
            +--APStudio.editors.XMLConfiguration

public class XMLConfiguration
extends org.eclipse.jface.text.source.SourceViewerConfiguration

Constructor Summary
`XMLConfiguration(ColorManager colorManager)`

Method Summary
`java.lang.String[]` | `getConfiguredContentTypes(org.eclipse.jface.text.source.ISourceViewer sourceViewer)`
`org.eclipse.jface.text.ITextDoubleClickStrategy` | `getDoubleClickStrategy(org.eclipse.jface.text.source.ISourceViewer sourceViewer, java.lang.String contentType)`
`org.eclipse.jface.text.presentation.IPresentationReconciler` | `getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)`

Methods inherited from class org.eclipse.jface.text.source.SourceViewerConfiguration
`getAnnotationHover, getAutoIndentStrategy, getConfiguredTextHoverStateMasks, getContentAssistant, getContentFormatter, getDefaultPrefixes, getIndentPrefixes, getInformationControlCreator, getInformationPresenter, getReconciler, getTabWidth, getTextHover, getTextHover, getUndoManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLConfiguration

    public XMLConfiguration(ColorManager colorManager)

Method Detail

### getConfiguredContentTypes

    public java.lang.String[] getConfiguredContentTypes(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Overrides:
    `getConfiguredContentTypes` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`

### getDoubleClickStrategy

    public org.eclipse.jface.text.ITextDoubleClickStrategy getDoubleClickStrategy(org.eclipse.jface.text.source.ISourceViewer sourceViewer,
                                                                                  java.lang.String contentType)

  Overrides:
    `getDoubleClickStrategy` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`

### getPresentationReconciler

    public org.eclipse.jface.text.presentation.IPresentationReconciler getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Overrides:
    `getPresentationReconciler` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD